Package org.firebirdsql.gds.impl.oo

## Class OOGDSFactoryPlugin

- java.lang.Object
- - org.firebirdsql.gds.impl.BaseGDSFactoryPlugin
  - - org.firebirdsql.gds.impl.oo.OOGDSFactoryPlugin

All Implemented Interfaces:
  `GDSFactoryPlugin`

    @Deprecated
    public class OOGDSFactoryPlugin
    extends BaseGDSFactoryPlugin

Deprecated.
Switch to using "Firebird External" in LibreOffice, will be removed in Jaybird 6.
OpenOffice/LibreOffice specific implementation of `GDSFactoryPlugin`.

### Field Summary

Fields
`static java.lang.String` `TYPE_NAME` Deprecated.

### Constructor Summary

Constructors
`OOGDSFactoryPlugin()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`java.lang.Class<?>` `getConnectionClass()` Deprecated.
`FbWireDatabaseFactory` `getDatabaseFactory()` Deprecated.
`java.lang.String` `getDefaultProtocol()` Deprecated.
`java.lang.String` `getPluginName()` Deprecated.
`java.lang.String[]` `getSupportedProtocols()` Deprecated.
`java.lang.String[]` `getTypeAliases()` Deprecated.
`java.lang.String` `getTypeName()` Deprecated.

### Methods inherited from class org.firebirdsql.gds.impl.BaseGDSFactoryPlugin

`equals, getDatabasePath, getDatabasePath, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.firebirdsql.gds.impl.GDSFactoryPlugin

`getDatabasePath`

### Field Detail

#### TYPE_NAME

    public static final java.lang.String TYPE_NAME

Deprecated.

See Also:
  Constant Field Values

### Constructor Detail

#### OOGDSFactoryPlugin

    public OOGDSFactoryPlugin()

Deprecated.

### Method Detail

#### getPluginName

    public java.lang.String getPluginName()

Deprecated.

#### getTypeName

    public java.lang.String getTypeName()

Deprecated.

#### getTypeAliases

    public java.lang.String[] getTypeAliases()

Deprecated.

#### getConnectionClass

    public java.lang.Class<?> getConnectionClass()

Deprecated.

Specified by:
  `getConnectionClass` in interface `GDSFactoryPlugin`
Overrides:
  `getConnectionClass` in class `BaseGDSFactoryPlugin`

#### getSupportedProtocols

    public java.lang.String[] getSupportedProtocols()

Deprecated.

#### getDefaultProtocol

    public java.lang.String getDefaultProtocol()

Deprecated.

Specified by:
  `getDefaultProtocol` in interface `GDSFactoryPlugin`
Overrides:
  `getDefaultProtocol` in class `BaseGDSFactoryPlugin`

#### getDatabaseFactory

    public FbWireDatabaseFactory getDatabaseFactory()

Deprecated.